Subject: Re: [PATCH net-next v1 0/7] devmem TCP fixes

From: Jakub Kicinski <[email-masked]>
Date: Fri, 1 Nov 2024 19:27:39 -0700

On Fri, 1 Nov 2024 06:14:14 -0700 Mina Almasry wrote:
> But what is the 'missing input validation'? Do you mean the input
> validation for the SO_DEVMEM_DONTNEED API? That should be handled in
> the patch  "net: fix SO_DEVMEM_DONTNEED looping too long" in this
> series, unless I missed something.

I guess it's borderline but to me it feels like net material.
It changes the user visible behavior. Someone can write their
code to free 2k tokens on 6.12 and it will break on 6.13.
I don't feel strongly but the way the series ended up getting
split I figured maybe it was also your intuition. If you do
follow the net path -- please move the refactor out to the net-next
series.